# Generated by Django 3.1.1 on 2020-10-28 12:50

import django.db.models.deletion
import wagtail.core.blocks
import wagtail.core.fields
import wagtail.images.blocks
import wagtailmetadata.models
from django.db import migrations, models

import uniweb.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("wagtailcore", "0052_pagelogentry"),
        ("wagtailimages", "0022_uploadedimage"),
    ]

    operations = [
        migrations.CreateModel(
            name="RegkonSubPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "content",
                    wagtail.core.fields.StreamField(
                        [
                            (
                                "title",
                                wagtail.core.blocks.CharBlock(
                                    icon="title", label="nadpis"
                                ),
                            ),
                            (
                                "text",
                                wagtail.core.blocks.RichTextBlock(
                                    features=[
                                        "h2",
                                        "h3",
                                        "h4",
                                        "h5",
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                        "image",
                                        "superscript",
                                        "subscript",
                                        "strikethrough",
                                        "blockquote",
                                    ],
                                    label="text",
                                ),
                            ),
                            (
                                "carousel",
                                wagtail.core.blocks.ListBlock(
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="obrázek"
                                    ),
                                    icon="image",
                                    label="carousel",
                                ),
                            ),
                            (
                                "FAQ",
                                wagtail.core.blocks.ListBlock(
                                    wagtail.core.blocks.StructBlock(
                                        [
                                            (
                                                "question",
                                                wagtail.core.blocks.TextBlock(),
                                            ),
                                            (
                                                "answer",
                                                wagtail.core.blocks.RichTextBlock(),
                                            ),
                                        ],
                                        template="regulace_konopi/blocks/faq.html",
                                    ),
                                    label="faq",
                                ),
                            ),
                            (
                                "meps",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "name",
                                            wagtail.core.blocks.CharBlock(
                                                label="název"
                                            ),
                                        ),
                                        (
                                            "mep",
                                            wagtail.core.blocks.ListBlock(
                                                wagtail.core.blocks.StructBlock(
                                                    [
                                                        (
                                                            "name",
                                                            wagtail.core.blocks.CharBlock(
                                                                label="jméno"
                                                            ),
                                                        ),
                                                        (
                                                            "approved",
                                                            wagtail.core.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (1, "schváleno"),
                                                                    (0, "odmítá"),
                                                                    (
                                                                        -1,
                                                                        "nevyjádřil se",
                                                                    ),
                                                                ],
                                                                label="hlasoval",
                                                            ),
                                                        ),
                                                    ]
                                                )
                                            ),
                                        ),
                                    ],
                                    template="regulace_konopi/blocks/party.html",
                                ),
                            ),
                        ],
                        blank=True,
                        verbose_name="obsah stránky",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={"verbose_name": "Podstránka",},
            bases=(
                "wagtailcore.page",
                uniweb.models.SubpageMixin,
                wagtailmetadata.models.MetadataMixin,
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="RegkonHomePage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "content",
                    wagtail.core.fields.StreamField(
                        [
                            (
                                "title",
                                wagtail.core.blocks.CharBlock(
                                    icon="title", label="nadpis"
                                ),
                            ),
                            (
                                "text",
                                wagtail.core.blocks.RichTextBlock(
                                    features=[
                                        "h2",
                                        "h3",
                                        "h4",
                                        "h5",
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                        "image",
                                        "superscript",
                                        "subscript",
                                        "strikethrough",
                                        "blockquote",
                                    ],
                                    label="text",
                                ),
                            ),
                            (
                                "carousel",
                                wagtail.core.blocks.ListBlock(
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="obrázek"
                                    ),
                                    icon="image",
                                    label="carousel",
                                ),
                            ),
                        ],
                        blank=True,
                        verbose_name="obsah stránky",
                    ),
                ),
                (
                    "matomo_id",
                    models.IntegerField(
                        blank=True,
                        null=True,
                        verbose_name="Matomo ID pro sledování návštěvnosti",
                    ),
                ),
                (
                    "top_menu",
                    wagtail.core.fields.StreamField(
                        [
                            (
                                "item",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "name",
                                            wagtail.core.blocks.CharBlock(
                                                label="název"
                                            ),
                                        ),
                                        (
                                            "page",
                                            wagtail.core.blocks.PageChooserBlock(
                                                label="stránka",
                                                page_type=[
                                                    "regulace_konopi.RegkonHomePage",
                                                    "regulace_konopi.RegkonSubPage",
                                                ],
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        verbose_name="horní menu",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={"verbose_name": "Regulace konpí",},
            bases=(
                wagtailmetadata.models.MetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
